Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp
Class PGPUserAttributeSubpacketVectorGenerator

    java.lang.Object
      org.bouncycastle.openpgp.PGPUserAttributeSubpacketVectorGenerator

    public class PGPUserAttributeSubpacketVectorGenerator

extends java.lang.Object

Constructor Summary
`PGPUserAttributeSubpacketVectorGenerator()`

Method Summary
`PGPUserAttributeSubpacketVector` `generate()`
`void` `setImageAttribute(int imageType, byte[] imageData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPUserAttributeSubpacketVectorGenerator

    public PGPUserAttributeSubpacketVectorGenerator()

Method Detail

### setImageAttribute

    public void setImageAttribute(int imageType,
                                  byte[] imageData)

### generate

    public PGPUserAttributeSubpacketVector generate()

Bouncy Castle Cryptography Library 1.45